site_name: sre-bootcamp

nav:
    - Home 🏠: 'index.md'
    - Requirements 🗒️: 'requirements.md'
    - Week 1️⃣:
        - 'Know our app': 'week1/know-our-app.md'
        - Common Ground:
          - Linux 🐧:
            - 🧪 Linux Lab: week1/linux.proj.md
          - Docker 🐳:
            - 🛤️ Docker guided: week1/docker.md
            - 🧪 Docker labs: week1/docker.labs.md
            - 💻 Docker project: 'week1/docker.proj.md'
          - Kubernetes 🕸️:
            - 🛤️ K8s guided: week1/k8s.md
            - 🧪 K8s labs: week1/k8s.labs.md
            - 💻 K8s project: 'week1/k8s.proj.md'
        #- Cloud:
        #- EC2: 'event-1.ec2.md'
        - IaC:
          - 🧪 IaC Lab 1: 'week1/iac.lab1.md'
          - 🧪 IaC Lab 2: 'week1/iac.lab2.md'
          - Atlantis: 'week1/iac.atlantis.md'
    - Week 2️⃣:
        - Gitops: 'week2/gitops.md'
        # - Docker Compose and EC2: 'event-2.docker-ec2.md'
        # - Poke App in Kubernetes 🕸️: 'event-2.k8s.md'
    - Extras 🪄:
        - Kubernetes Toolbox 🧰: 'k8s-toolbox.md'
        - Helm 🎖: helm.md
        - Troubleshooting and Operating 🩺: event-3.2.md
        - Networking 🌐: event-3.3.md


site_author: Marcos Cano
site_description: SRE Bootcamp @ Bootcamp Institute

site_url: https://kontinu.gitlab.io/sre-bootcamp/
repo_name: sre-bootcamp
repo_url: https://gitlab.com/kontinu/sre-bootcamp.git
edit_uri: ""

theme:
  name: material
  palette:
    - scheme: default
      primary: 'teal'
      accent: 'deep orange'
      toggle:
        icon: material/toggle-switch
        name: Switch to dark mode

    # Palette toggle for dark mode
    - scheme: slate
      primary: 'teal'
      accent: 'deep orange'
      toggle:
        icon: material/toggle-switch-off-outline
        name: Switch to light mode

  logo: 'static/img/sre-logo.png'
  font:
    text: 'Space Mono'
    code: 'Inconsolata'
  language: 'en'
  favicon: 'static/images/sre-logo.png'
  include_sidebar: True
  # feature:
  #   tabs: true
  features:
    - navigation.tabs
    - navigation.expand
    - navigation.top



extra:
  search:
    language: 'en'
  generator: false

copyright: Copyright &copy; 2021 Marcos Cano


plugins:
  - search
  - git-revision-date



markdown_extensions:
  - abbr
  - pymdownx.keys
  - attr_list
  - footnotes
  - meta
  - toc:
      permalink: true

  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.mark

  - pymdownx.emoji:
      emoji_index: !!python/name:pymdownx.emoji.twemoji
      emoji_generator: !!python/name:pymdownx.emoji.to_svg

  - pymdownx.magiclink
  - pymdownx.caret
  - pymdownx.critic
  - pymdownx.details
  - pymdownx.smartsymbols
  - admonition
# code blocks
  - pymdownx.snippets
  - pymdownx.inlinehilite
  - pymdownx.highlight:
      linenums: true
  - pymdownx.tabbed
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_div_format

  ##keep it commented so mermaid works
  #- pymdownx.extra
  # - codehilite:
  #     guess_lang: True
  #     use_pygments: True
  #     noclasses: True
  #     linenums: true
  #     pygments_style: manni


extra_css:
    - static/css/extra.css
    - static/css/contact_form.css
    - https://unpkg.com/mermaid/dist/mermaid.css
    - static/css/asciinema-player.css




extra_javascript:
  - https://unpkg.com/mermaid/dist/mermaid.min.js
  - static/js/asciinema-player.js



use_directory_urls: true
